Search candidates
curl --request POST \
--url https://app.leonar.app/api/v1/sourcing/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {
"job_titles": {
"include": [
"<string>"
],
"include_current_only": true
},
"companies": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"locations": {
"cities": [
"<string>"
],
"states": [
"<string>"
],
"countries": [
"<string>"
]
},
"linkedin_filters": {
"location_ids": {}
},
"skills": {
"include": [
"<string>"
],
"require_all": true
},
"years_experience": {
"min": 123,
"max": 123
}
},
"page": 2,
"page_size": 50,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.leonar.app/api/v1/sourcing/search"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {
"job_titles": {
"include": ["<string>"],
"include_current_only": True
},
"companies": {
"include": ["<string>"],
"exclude": ["<string>"]
},
"locations": {
"cities": ["<string>"],
"states": ["<string>"],
"countries": ["<string>"]
},
"linkedin_filters": { "location_ids": {} },
"skills": {
"include": ["<string>"],
"require_all": True
},
"years_experience": {
"min": 123,
"max": 123
}
},
"page": 2,
"page_size": 50,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filters: {
job_titles: {include: ['<string>'], include_current_only: true},
companies: {include: ['<string>'], exclude: ['<string>']},
locations: {cities: ['<string>'], states: ['<string>'], countries: ['<string>']},
linkedin_filters: {location_ids: {}},
skills: {include: ['<string>'], require_all: true},
years_experience: {min: 123, max: 123}
},
page: 2,
page_size: 50,
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.leonar.app/api/v1/sourcing/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"profiles": [
{}
],
"total_count": 123,
"filtered_count": 123,
"next_page": 123,
"has_more": true
}
}{
"error": {
"code": "validation_error",
"message": "Invalid input"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}Sourcing
Search candidates
Search candidates in the Leonar database or via LinkedIn.
POST
/
sourcing
/
search
Search candidates
Authorizations
API key starting with leo_
Body
application/json
Available options:
leonar_source, contacts, linkedin Search filters vary by source_type:
- For
leonar_sourceandcontacts: uselocationswith plain-text names. - For
linkedin: uselinkedin_filters.location_idswith IDs fromGET /sourcing/locations.
Show child attributes
Show child attributes
Required range:
x >= 1Required range:
1 <= x <= 100Required for LinkedIn source
Available options:
recruiter, sales_navigator Response
Search results
Show child attributes
Show child attributes
⌘I